var config = require("../../config/config.js");
const Http = require("../../utils/HttpBasics");
var app = getApp();
Page({
  data: {
    canIUse: wx.canIUse("button.open-type.getPhoneNumber"),
    couponChannelId: "",
    couponId: "",
    path:null,
    paramData:null
  },
  onLoad: function (options) {
    if(options.path=='index'){
      this.path = options.path
    }
    this.setData({
      paramData: options
    })
    var that = this;
    if (options.couponChannelId && options.couponId) {
      that.setData({
        couponChannelId: options.couponChannelId,
        couponId: options.couponId
      });
    }


    Http.get({
      url: config.api.marketicon,
      data: {
        appId: config.weapp.AppId
      }
    }).then(res => {
      that.setData({
        mallImgUrl: res.data.mallImgUrl
      });
      wx.setNavigationBarTitle({
        title: res.data.mallName
      })
    })
    .catch(err => {
      wx.showToast({
        title: err.errMsg,
        icon: 'none',
        duration: 2000,
        mask: false
      });
    })
  },

  getPhoneNumber: function (e) {
    var that = this;
    var iv = e.detail.iv;
    var encryptedData = e.detail.encryptedData;
    Http.post({
      url: config.api.getUserPhone,
      data: {
        encryptedData: encryptedData,
        iv: iv
      }
    }).then(
      function (res) {
        app.globalData.phone = res.data.phone;
        if (that.path == 'index') {
          wx.redirectTo({
            url: "/pages/game/index?url=" + that.data.paramData.url + "&id=" + that.data.paramData.id + "&gameId=" + that.data.paramData.gameId,
          })
        } else {
          wx.showToast({
            title: res.data.msg,
            icon: "success",
            success: function (res) {
              if (that.data.couponChannelId && that.data.couponId) {
                wx.redirectTo({
                  url: "/pages/coupon/detail/index?couponChannelId=" +
                    that.data.couponChannelId +
                    "&couponId=" +
                    that.data.couponId +
                    "&flag=pay"
                })
              } else {
                wx.switchTab({
                  url: '/pages/passCar/passCar',
                })
              }
            }
          });
        }
      },
      function (error) {
        wx.showToast({
          title: "请重新授权手机号",
          icon: "none"
        });
      }
    )
    .catch(err => {
      wx.showToast({
        title: err.errMsg,
        icon: 'none',
        duration: 2000,
        mask: false
      });
    })
  }
});